# B2B Virtual Account Payment Method
Flexible and secure payment method for B2B market segments using virtual accounts.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Payment Service
The Payment web service is used for processing payments and sending payment remittance information to the appropriate suppliers.

### [POST] /vpa/v1/payment/CancelPayment
**Cancel Payment**

#### Request Body

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"buyerId"**: string, **"clientId"**: string, **"messageId"**: string, **"cancelReason"**: string, **"accountNumber"**: string, **"originalMessageId"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 201 | Created | **application/json**: { **"CancelResponse"**: { **"messageID"**: string, **"statusCode"**: string, **"statusDesc"**: string, **"supplierID"**: string, **"grossAmount"**: string, **"supplierName"**: string } }<br> |
| 400 | Error Codes | **application/json**: { **"CP002"**: object, **"CP003"**: object, **"CP004"**: object, **"CP025"**: object, **"CP029"**: object, **"CP030"**: object, **"CP031"**: object, **"CP032"**: object, **"CP037"**: object, **"CP038"**: object, **"CP161"**: object, **"CP162"**: object, **"CP167"**: object }<br> |
